<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Combat_Docu: Enemy Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Combat_Docu
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_enemy-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Enemy Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Enemy:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_enemy.png" usemap="#Enemy_map" alt=""/>
  <map id="Enemy_map" name="Enemy_map">
<area href="class_character.html" alt="Character" shape="rect" coords="0,56,102,80"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae554634f49258f07529cad477263267c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#ae554634f49258f07529cad477263267c">Start</a> ()</td></tr>
<tr class="separator:ae554634f49258f07529cad477263267c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5987bd996210d21379a771c2c3ccbc67"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a5987bd996210d21379a771c2c3ccbc67">Removetarget</a> ()</td></tr>
<tr class="separator:a5987bd996210d21379a771c2c3ccbc67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a8b083af0972d4fabbaae9c015947a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a72a8b083af0972d4fabbaae9c015947a">ChangeState</a> (<a class="el" href="interface_i_enemy_state.html">IEnemyState</a> newState)</td></tr>
<tr class="separator:a72a8b083af0972d4fabbaae9c015947a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1157272fd5822f0bf30b396e775f82a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a1157272fd5822f0bf30b396e775f82a1">Move</a> ()</td></tr>
<tr class="separator:a1157272fd5822f0bf30b396e775f82a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7f10e264d25eeb3e52dd34d609f3522"><td class="memItemLeft" align="right" valign="top">Vector2&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#af7f10e264d25eeb3e52dd34d609f3522">GetDirection</a> ()</td></tr>
<tr class="separator:af7f10e264d25eeb3e52dd34d609f3522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46fdfbc6d51595ce0e3be62bea896719"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a46fdfbc6d51595ce0e3be62bea896719">OnTriggerEnter2D</a> (Collider2D other)</td></tr>
<tr class="separator:a46fdfbc6d51595ce0e3be62bea896719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a33eea034e63094a8eea21779f9a109"><td class="memItemLeft" align="right" valign="top">override IEnumerator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a9a33eea034e63094a8eea21779f9a109">TakeDamage</a> ()</td></tr>
<tr class="separator:a9a33eea034e63094a8eea21779f9a109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad35b5852738158d886d8913cba2629ab"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#ad35b5852738158d886d8913cba2629ab">Death</a> ()</td></tr>
<tr class="separator:ad35b5852738158d886d8913cba2629ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_character"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_character')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_character.html">Character</a></td></tr>
<tr class="memitem:a3112a6b5aaf00d953f13ea1b646f8b13 inherit pub_methods_class_character"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a3112a6b5aaf00d953f13ea1b646f8b13">changeDirection</a> ()</td></tr>
<tr class="separator:a3112a6b5aaf00d953f13ea1b646f8b13 inherit pub_methods_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc2c7ac3178c268156ff51eb84c03b1c inherit pub_methods_class_character"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#adc2c7ac3178c268156ff51eb84c03b1c">ThrowKinfe</a> (int value)</td></tr>
<tr class="separator:adc2c7ac3178c268156ff51eb84c03b1c inherit pub_methods_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adda946180ff313ec4908581633fc3f6f inherit pub_methods_class_character"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#adda946180ff313ec4908581633fc3f6f">MeleeAttack</a> ()</td></tr>
<tr class="separator:adda946180ff313ec4908581633fc3f6f inherit pub_methods_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3a72523f5e87fe468a8d91659bf6f7fb"><td class="memItemLeft" align="right" valign="top">Vector2&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a3a72523f5e87fe468a8d91659bf6f7fb">startPos</a></td></tr>
<tr class="separator:a3a72523f5e87fe468a8d91659bf6f7fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a544c5a8693703fde1b4d590fe95b0e56"><td class="memItemLeft" align="right" valign="top">AudioSource&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a544c5a8693703fde1b4d590fe95b0e56">EAudio1</a></td></tr>
<tr class="separator:a544c5a8693703fde1b4d590fe95b0e56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3463989b7f175560c6e13ce9d72dec40"><td class="memItemLeft" align="right" valign="top">AudioSource&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a3463989b7f175560c6e13ce9d72dec40">EAudio2</a></td></tr>
<tr class="separator:a3463989b7f175560c6e13ce9d72dec40"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:aaeaa116c64ee8c537dbc79a0f3b9d516"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#aaeaa116c64ee8c537dbc79a0f3b9d516">Target</a><code> [get, set]</code></td></tr>
<tr class="separator:aaeaa116c64ee8c537dbc79a0f3b9d516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01150b6bff8b984fe01606c0d9a3faa9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a01150b6bff8b984fe01606c0d9a3faa9">InMeleeRange</a><code> [get]</code></td></tr>
<tr class="separator:a01150b6bff8b984fe01606c0d9a3faa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a385315a59c9ebd2501e3fa957d9223e2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a385315a59c9ebd2501e3fa957d9223e2">InThrowRange</a><code> [get]</code></td></tr>
<tr class="separator:a385315a59c9ebd2501e3fa957d9223e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a756e20b818dab19026267dc3f7fc8843"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_enemy.html#a756e20b818dab19026267dc3f7fc8843">IsDead</a><code> [get]</code></td></tr>
<tr class="separator:a756e20b818dab19026267dc3f7fc8843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_class_character"><td colspan="2" onclick="javascript:toggleInherit('properties_class_character')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="class_character.html">Character</a></td></tr>
<tr class="memitem:a5b3fd8f625e060df3d051cdefcbb9975 inherit properties_class_character"><td class="memItemLeft" align="right" valign="top">abstract bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a5b3fd8f625e060df3d051cdefcbb9975">IsDead</a><code> [get]</code></td></tr>
<tr class="separator:a5b3fd8f625e060df3d051cdefcbb9975 inherit properties_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d036d30db358d377be8a5799231f39f inherit properties_class_character"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a4d036d30db358d377be8a5799231f39f">Attack</a><code> [get, set]</code></td></tr>
<tr class="separator:a4d036d30db358d377be8a5799231f39f inherit properties_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a886fd818fe5b4d360f4485a4681e509e inherit properties_class_character"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a886fd818fe5b4d360f4485a4681e509e">TakingDamage</a><code> [get, set]</code></td></tr>
<tr class="separator:a886fd818fe5b4d360f4485a4681e509e inherit properties_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab651b2b59bd92b2d712bb1be6e469bef inherit properties_class_character"><td class="memItemLeft" align="right" valign="top">Animator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#ab651b2b59bd92b2d712bb1be6e469bef">MyAnimator</a><code> [get]</code></td></tr>
<tr class="separator:ab651b2b59bd92b2d712bb1be6e469bef inherit properties_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb6f1fa08feffd02a5fc7b688d32e402 inherit properties_class_character"><td class="memItemLeft" align="right" valign="top">EdgeCollider2D&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#abb6f1fa08feffd02a5fc7b688d32e402">SwordCollider</a><code> [get]</code></td></tr>
<tr class="separator:abb6f1fa08feffd02a5fc7b688d32e402 inherit properties_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_character"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_character')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_character.html">Character</a></td></tr>
<tr class="memitem:ac5a0a12d4f60bbcd615ce158c1619f22 inherit pro_attribs_class_character"><td class="memItemLeft" align="right" valign="top">Transform&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#ac5a0a12d4f60bbcd615ce158c1619f22">KnifePos</a></td></tr>
<tr class="separator:ac5a0a12d4f60bbcd615ce158c1619f22 inherit pro_attribs_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9736a10fdc286ad7798c38be664b093a inherit pro_attribs_class_character"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a9736a10fdc286ad7798c38be664b093a">movementSpeed</a></td></tr>
<tr class="separator:a9736a10fdc286ad7798c38be664b093a inherit pro_attribs_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d2b934db61c3af70db995d8392ff57e inherit pro_attribs_class_character"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a2d2b934db61c3af70db995d8392ff57e">faceRight</a></td></tr>
<tr class="separator:a2d2b934db61c3af70db995d8392ff57e inherit pro_attribs_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76d0b88e480cf87109ef96302bb4918c inherit pro_attribs_class_character"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a76d0b88e480cf87109ef96302bb4918c">health</a></td></tr>
<tr class="separator:a76d0b88e480cf87109ef96302bb4918c inherit pro_attribs_class_character"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a72a8b083af0972d4fabbaae9c015947a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Enemy.ChangeState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="interface_i_enemy_state.html">IEnemyState</a>&#160;</td>
          <td class="paramname"><em>newState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad35b5852738158d886d8913cba2629ab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Enemy.Death </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_character.html#af47691dce17c7b8ce9c3a9b4b6065878">Character</a>.</p>

</div>
</div>
<a class="anchor" id="af7f10e264d25eeb3e52dd34d609f3522"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vector2 Enemy.GetDirection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a1157272fd5822f0bf30b396e775f82a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Enemy.Move </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a46fdfbc6d51595ce0e3be62bea896719"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Enemy.OnTriggerEnter2D </td>
          <td>(</td>
          <td class="paramtype">Collider2D&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="class_character.html#a04e60bbd4042cd68c7f1e28c9ab08ce8">Character</a>.</p>

</div>
</div>
<a class="anchor" id="a5987bd996210d21379a771c2c3ccbc67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Enemy.Removetarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ae554634f49258f07529cad477263267c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Enemy.Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="class_character.html#a98bebdb5d37a51749749f0684f14a6ca">Character</a>.</p>

</div>
</div>
<a class="anchor" id="a9a33eea034e63094a8eea21779f9a109"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override IEnumerator Enemy.TakeDamage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_character.html#ae67a38dc1773d89f6ecbce31efef38bb">Character</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a544c5a8693703fde1b4d590fe95b0e56"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AudioSource Enemy.EAudio1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a3463989b7f175560c6e13ce9d72dec40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AudioSource Enemy.EAudio2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a3a72523f5e87fe468a8d91659bf6f7fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vector2 Enemy.startPos</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a class="anchor" id="a01150b6bff8b984fe01606c0d9a3faa9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Enemy.InMeleeRange</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a385315a59c9ebd2501e3fa957d9223e2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Enemy.InThrowRange</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a756e20b818dab19026267dc3f7fc8843"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool Enemy.IsDead</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aaeaa116c64ee8c537dbc79a0f3b9d516"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GameObject Enemy.Target</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Users/Ron Alpha/Desktop/team22cs243/2Darcade/Assets/scripts/<a class="el" href="_enemy_8cs.html">Enemy.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
